Space fields
Create a Space field definition
Requires workspace:settings. Slugs cannot collide within a workspace/project scope chain.
POST
/v1/space/fields
curl -X POST "https://api.orchestor.io/v1/space/fields" \ -H "Authorization: Bearer $API_KEY" \ -H "X-Workspace-ID: wks_abc123" \ -H "Content-Type: application/json" \ -d '{ "config": {}, "is_required": false, "position": 0, "project_id": null, "slug": "string", "title": "string", "type": "text"}'{ "data": { "archived_at": "2026-01-01T00:00:00Z", "config": {}, "created_at": "2026-01-01T00:00:00Z", "id": "<string>", "is_required": true, "position": 0, "project_id": "<string>", "slug": "<string>", "title": "<string>", "type": "text", "updated_at": "2026-01-01T00:00:00Z", "workspace_id": "<string>" }}Get your Orchestor API key
Create an API key in your workspace settings.
Authorizations
Authentication details
cookie
Headers
Workspace to access. With a workspace-scoped API key, the server derives this value from the key, so the header is optional. If supplied, it must match the credential workspace or the request returns 403 workspace_mismatch. For interactive session requests, supply this header to select a workspace where you are a member. A project ID cannot be used as a workspace ID.
Example
"wks_abc123"Bodyapplication/jsonrequired
Match exactly one of the following
Variant 1: object
- Additional properties
- Not allowed
Variant 2: object
- Additional properties
- Not allowed
Variant 3: object
- Additional properties
- Not allowed
Variant 4: object
- Additional properties
- Not allowed
Variant 5: object
- Additional properties
- Not allowed
Variant 6: object
- Additional properties
- Not allowed
Variant 7: object
- Additional properties
- Not allowed
Variant 8: object
- Additional properties
- Not allowed
Variant 9: object
- Additional properties
- Not allowed
Variant 10: object
- Additional properties
- Not allowed
Variant 11: object
- Additional properties
- Not allowed
Variant 12: object
- Additional properties
- Not allowed
Response
application/json